Skip to main content
PATCH
/
projects
/
{project_id}
/
feedbacks
/
{feedback_id}
Update feedback status
import requests

url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/feedbacks/{feedback_id}/"

payload = {
    "status": "to_review",
    "feedback": "<string>",
    "is_positive": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "given_by": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com"
  },
  "status": "to_review",
  "feedback": "<string>",
  "context": {
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "query_id": 123,
    "source": "<string>"
  },
  "is_positive": true,
  "user_message": "<string>",
  "conversation_title": "<string>",
  "suggested_action_type": "<string>",
  "suggested_action_data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.clarifeye.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Headers

X-Impersonate-Email
string<email>

Email of the user to impersonate. Requires CAN_IMPERSONATE_OTHER_USERS permission. If the target user is not found or does not have access to the project, the request proceeds as the authenticated user. Contact Clarifeye to enable this permission.

Path Parameters

project_id
string<uuid>
required

UUID of the project

feedback_id
string<uuid>
required

UUID of the feedback

Body

application/json
status
enum<string>
  • to_review: Feedback pending review (default)
  • reviewed: Feedback has been reviewed
Available options:
to_review,
reviewed
feedback
string

Updated feedback text

is_positive
boolean | null

Updated sentiment

Response

Feedback updated successfully

id
string<uuid>
created_at
string<date-time>
updated_at
string<date-time>
given_by
object

User who submitted the feedback

status
enum<string>
  • to_review: Feedback pending review (default)
  • reviewed: Feedback has been reviewed
Available options:
to_review,
reviewed
feedback
string

Feedback text comment

context
object

Legacy context object (conversation_id is now available as a direct field)

is_positive
boolean | null
  • true: Positive feedback
  • false: Negative feedback
  • null: Neutral
user_message
string

The user message that was responded to (computed field)

conversation_title
string

Title of the conversation (computed field)

suggested_action_type
string | null

Auto-generated suggested action type

suggested_action_data
object

Auto-generated suggested action data